package com.njcn.advance.service.govern.voltage;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.advance.pojo.param.govern.voltage.SgUserParam;
import com.njcn.advance.pojo.po.govern.voltage.SgUser;
import com.njcn.advance.pojo.vo.govern.voltage.SgUserVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-02-29
 */
public interface ISgUserService extends IService<SgUser> {

    Page<SgUserVO> sgUserList(SgUserParam.SgUserQueryParam sgUserQueryParam);

    String addUserInfo(SgUserParam sgUserParam);

    boolean updateSgUser(SgUserParam.SgUserUpdateParam updateParam);

    boolean deleteSgUserData(List<String> ids);

    List<SgUser> sgUserAllList();
}
